Subject: 29.0.60; [elpa/jit-spell] Misspellings not updated

From: Simen Heggestøyl <[email-masked]>
Date: Tue, 07 Mar 2023 08:44:05 +0100

Hi Augusto, thanks for writing this nice package. It works very well in
my usage so far, except for this one issue as described below.

1. Visit a buffer and turn `jit-spell-mode' on.

2. Move point to a misspelling and type `M-$ i' to insert the word in
   the dictionary.

3. `M-$ i' now correctly reports that the word is spelled correctly
   according to the dictionary, but the misspell marking from jit-spell
   is still present.

Killing the buffer and visiting the file anew doesn't fix the issue, but
restarting Emacs does. It would be very nice if jit-spell could update
the marking the fly in these cases without the need to restart Emacs.

-- Simen